### Method

# RB ListModel insert

#### Declaration [src]

    void
    rb_list_model_insert (
      RBListModel* model,
      int index,
      gpointer item
    )

#### Description [src]

Inserts at item into the list. If `index` is less than zero or greater than the length of the list, the item is appended to the list.

#### Parameters

`index`

  Type: `int`

  Position to insert the item at.

`item`

  Type: `gpointer`

  Item to insert.

  The argument can be `NULL`.
  The data is owned by the caller of the method.